=== debian/changelog ===
ooxml (1.10-1) unstable; urgency=medium

  * New upstream release
  * Debian standards 4.7.2 compliance checked
  * Unapply patches concerning failing tests (now they run OK)
  * Unapply patch prepending $(DESTDIR) to the installation path and
    now customizing installation through ./configure options
  * Add lintian overrides for temporary files left behind by the upstream
    authors (bug filed on the project web site)
  * Modify binary package lintian override for the manifest.txt file path

 -- Massimo Manghi <mxmanghi@apache.org>  Sun, 20 Apr 2025 00:15:03 +0200

ooxml (1.8-1) unstable; urgency=medium

  * Initial release. (Closes: #1069951)
  * Initial Markdown (pandoc) draft of a man page

 -- Massimo Manghi <mxmanghi@apache.org>  Sat, 27 Apr 2024 14:39:34 +0000
