=== debian/control ===
Source: ooxml
Section: libs
Priority: optional
Maintainer: Massimo Manghi <mxmanghi@apache.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), pandoc, tcl-vfs, tcl-dev, tdom
Standards-Version: 4.7.2
Homepage: https://fossil.sowaswie.de/ooxml/

Package: tcl-ooxml
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends}, tcl-vfs, tdom
Description: Read and Write Office Open XML "XLSX" since Excel 2007
 Tcl utility for handling Office Open XML "XLSX" files produced by relatively
 recent versions of Excel (starting with Excel 2007)
