=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
DIR = $(shell pwd)/debian/tcl-ooxml

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- 	--with-tcl=/usr/lib/tcl8.6		\
				--prefix=$(DIR)/usr			\
				--includedir=$(DIR)/usr/include		\
				--mandir=$(DIR)/usr/share/man		\
				--infodir=$(DIR)/usr/share/info		\
				--libdir=$(DIR)/usr/lib/tcltk		\
				--libexecdir=$(DIR)/usr/lib/tcltk	\
				--disable-maintainer-mode		\
				--disable-dependency-tracking

override_dh_auto_install:
	dh_auto_install
	mkdir --parents $(DIR)/usr/share/man/man3/
	pandoc -s -f markdown -t man debian/ooxml.md > $(DIR)/usr/share/man/man3/ooxml.3tcl
