=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/ooxml(\d+\.\d+)-src.tar.gz/ooxml-$1\.tar\.gz/ \
https://fossil.sowaswie.de/ooxml/uv .*/ooxml(\d+\.\d+)-src.tar.gz
